package com.bassbooster.soundeffects.equalizer.database.dao

import androidx.lifecycle.LiveData
import androidx.room.*
import com.bassbooster.soundeffects.equalizer.database.EffectsData

@Dao
interface EffectsDao {
    @Insert
    suspend fun insert(myEntity: EffectsData)

    @Query("SELECT * FROM effects")
    fun getAll(): LiveData<List<EffectsData>>

    @Delete
    suspend fun delete(myEntity: EffectsData)
}
